Package org.opensaml.xacml.impl

# Class AbstractXACMLObjectBuilder<XACMLObjectType extends XACMLObject>

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<XACMLObjectType>
org.opensaml.xacml.impl.AbstractXACMLObjectBuilder<XACMLObjectType>

Type Parameters:
  `XACMLObjectType` - the SAML object type built

All Implemented Interfaces:
  `XMLObjectBuilder<XACMLObjectType>`, `XACMLObjectBuilder<XACMLObjectType>`

Direct Known Subclasses:
  `ActionMatchTypeImplBuilder`, `ActionsTypeImplBuilder`, `ActionTypeImplBuilder`, `ActionTypeImplBuilder`, `ApplyTypeImplBuilder`, `AttributeAssignmentTypeImplBuilder`, `AttributeDesignatorTypeImplBuilder`, `AttributeSelectorTypeImplBuilder`, `AttributeTypeImplBuilder`, `AttributeValueTypeImplBuilder`, `AttributeValueTypeImplBuilder`, `CombinerParametersTypeImplBuilder`, `CombinerParameterTypeImplBuilder`, `ConditionTypeImplBuilder`, `DecisionTypeImplBuilder`, `DefaultsTypeImplBuilder`, `DescriptionTypeImplBuilder`, `EnvironmentMatchTypeImplBuilder`, `EnvironmentsTypeImplBuilder`, `EnvironmentTypeImplBuilder`, `EnvironmentTypeImplBuilder`, `FunctionTypeImplBuilder`, `IdReferenceTypeImplBuilder`, `MissingAttributeDetailTypeImplBuilder`, `ObligationsTypeImplBuilder`, `ObligationTypeImplBuilder`, `PolicyCombinerParametersTypeImplBuilder`, `PolicySetCombinerParametersTypeImplBuilder`, `PolicySetTypeImplBuilder`, `PolicyTypeImplBuilder`, `RequestTypeImplBuilder`, `ResourceContentTypeImplBuilder`, `ResourceMatchTypeImplBuilder`, `ResourcesTypeImplBuilder`, `ResourceTypeImplBuilder`, `ResourceTypeImplBuilder`, `ResponseTypeImplBuilder`, `ResultTypeImplBuilder`, `RuleCombinerParametersTypeImplBuilder`, `RuleTypeImplBuilder`, `StatusCodeTypeImplBuilder`, `StatusDetailTypeImplBuilder`, `StatusMessageTypeImplBuilder`, `StatusTypeImplBuilder`, `SubjectAttributeDesignatorTypeImplBuilder`, `SubjectMatchTypeImplBuilder`, `SubjectsTypeImplBuilder`, `SubjectTypeImplBuilder`, `SubjectTypeImplBuilder`, `TargetTypeImplBuilder`, `VariableDefinitionTypeImplBuilder`, `VariableReferenceTypeImplBuilder`

public abstract class AbstractXACMLObjectBuilder<XACMLObjectType extends XACMLObject> extends AbstractXMLObjectBuilder<XACMLObjectType> implements XACMLObjectBuilder<XACMLObjectType>
Base builder for `XACMLObject`.

## Constructor Summary

Constructors
Constructor
Description
`AbstractXACMLObjectBuilder()`

## Method Summary

Modifier and Type
Method
Description
`abstract XACMLObjectType`
`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

## Constructor Details

### AbstractXACMLObjectBuilder

public AbstractXACMLObjectBuilder()

## Method Details

### buildObject

public abstract XACMLObjectType buildObject()
Builds a XACMLObject using the default name and namespace information provided XACML specifications.

Specified by:
  `buildObject` in interface `XACMLObjectBuilder<XACMLObjectType extends XACMLObject>`
Returns:
  built XACMLObject